#include <RcppArmadillo.h>

// [[Rcpp::depends(RcppArmadillo)]]

using namespace Rcpp;
using namespace arma;

// [[Rcpp::export]]

double diffLoglike(arma::vec Y, arma::vec canXb, arma::vec Xb, arma::vec beta, double sige){
  double result;
  result = - dot((canXb-Xb), (canXb+Xb)*beta[1] - 2*(Y-beta[0])) * (beta[1] / (2*sige*sige));
  return result;
}
