#include <Rcpp.h>
using namespace Rcpp;

// [[Rcpp::export]]
NumericVector g_thresh(NumericVector x, float a, NumericVector w){
  int n = x.length();
  NumericVector out(n);
  for (int i=0; i<n; i++){
    double xi = x[i] * w[i];
    if (xi > a) {out[i] = xi - a;}
    if (xi < (-a)) {out[i] = xi + a;}
  }
  return out;
}
