#include <RcppArmadillo.h>

// [[Rcpp::depends(RcppArmadillo)]]


using namespace Rcpp;
using namespace arma;

// [[Rcpp::export]]

arma::vec update_beta(arma::vec oldbeta, arma::mat XXX, arma::vec Y, double taue, arma::vec eps){
  mat teps(2,2,fill::zeros);
  teps.diag() = taue * eps;
  mat VVV = taue * XXX.t() * XXX + teps;
  VVV = inv_sympd(VVV);
  vec MMM = taue * XXX.t() * Y;
  MMM = VVV * MMM;
  mat PPP = chol(VVV);
  PPP = PPP.t();
  vec tempr = rnorm(2);
  vec beta = MMM + PPP * tempr;
  int count = 1;
  
  while( (count<20) && (beta(1)<0) ){
    count++;
    tempr = rnorm(2);
    beta = MMM + PPP * tempr;
  }
  
  if (beta(1)<0) {beta = oldbeta;}
  return beta;}   
